> ## Documentation Index > Fetch the complete documentation index at: https://docs.mapp.com/llms.txt > Use this file to discover all available pages before exploring further. # Get technical (system) attributes ## OpenAPI ````json GET /profileAttributes/getTechnical { "openapi": "3.0.4", "info": { "title": "Engage public API", "version": "1" }, "servers": [ { "url": "https://your-engage-domain.com/api/rest" } ], "tags": [ { "name": "Address Attributes" }, { "name": "Async" }, { "name": "Audit Log" }, { "name": "Automation" }, { "name": "Blacklist" }, { "name": "CMS (legacy)" }, { "name": "CMS Blocks" }, { "name": "CMS Frameworks" }, { "name": "CMS Messages" }, { "name": "CMS Templates" }, { "name": "Contact" }, { "name": "Content" }, { "name": "Coupon" }, { "name": "Draft Message" }, { "name": "Ecommerce" }, { "name": "Group" }, { "name": "Group Attributes" }, { "name": "Landing Page" }, { "name": "Member Attributes" }, { "name": "Membership" }, { "name": "Message" }, { "name": "Meta" }, { "name": "Mobile Push" }, { "name": "Prepared Message" }, { "name": "Process" }, { "name": "Profile Attributes" }, { "name": "Related Data" }, { "name": "Segmentation" }, { "name": "System" }, { "name": "System User" }, { "name": "Usage Statistics" }, { "name": "User" }, { "name": "Whiteboard" } ], "paths": { "/profileAttributes/getTechnical": { "get": { "tags": [ "Profile Attributes" ], "summary": "Get technical (system) attributes", "description": "", "operationId": "getTechnical", "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/ProfileAttribute" } } } } } } } } }, "components": { "schemas": { "ProfileAttribute": { "type": "object", "properties": { "id": { "type": "integer", "format": "int64" }, "name": { "type": "string" }, "dataType": { "type": "string" }, "displayName": { "type": "string" }, "standard": { "type": "boolean", "default": false }, "technical": { "type": "boolean", "default": false }, "archived": { "type": "boolean", "default": false }, "status": { "type": "string" }, "dateOnly": { "type": "boolean", "default": false }, "enumerated": { "type": "boolean", "default": false }, "enumeratedValues": { "type": "array", "items": { "type": "string" } }, "assignedChannels": { "type": "array", "items": { "type": "string" } }, "creationDate": { "type": "integer", "format": "int64" }, "lastModifiedDate": { "type": "integer", "format": "int64" }, "createdById": { "type": "string" }, "lastModifiedById": { "type": "string" }, "dbColumnName": { "type": "string" }, "normalized": { "type": "boolean", "default": false }, "definition": { "type": "boolean", "default": false } } } } } } ````